Bug 168922 - Review Request: python-formencode - Python FormEncode Library -- needs sponsor
Summary: Review Request: python-formencode - Python FormEncode Library -- needs sponsor
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shahms E. King
QA Contact: Fedora Package Reviews List
URL: http://roughbook.de/blog/projekte/fed...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 168923
TreeView+ depends on / blocked
 
Reported: 2005-09-21 11:22 UTC by Oliver Andrich
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 15:07:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Andrich 2005-09-21 11:22:21 UTC
Spec Name or Url: http://roughbook.de/review/python-formencode.spec
SRPM Name or Url: http://roughbook.de/review/python-formencode-0.2.1-2.src.rpm
Description: FormEncode validates and converts nested structures. It allows for a declarative form of defining the validation, and decoupled processes for filling and generating forms. 

This library is used by SQLObject an Python ORM library I plan so submit for review too.

Comment 1 Oliver Andrich 2005-10-06 14:48:37 UTC
Spec Name or Url: http://roughbook.de/review/python-formencode.spec
SRPM Name or Url: http://roughbook.de/review/python-formencode-0.2.2-1.src.rpm

Required update cause my other package requires this upstream version.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=168923

Comment 2 Shahms E. King 2005-10-12 20:27:45 UTC
Some minor changes:
 * The description lines are too long (shouldn't be over 80 characters)
 * Need to %ghost the *.pyo files

Otherwise it looks good.


Comment 3 Shahms E. King 2005-10-12 20:50:54 UTC
I should also note that it builds fine in mock on Fedora Core 4

Comment 4 Oliver Andrich 2005-10-13 18:31:49 UTC
Spec Name or Url: http://roughbook.de/review/python-formencode.spec
SRPM Name or Url: http://roughbook.de/review/python-formencode-0.2.2-2.src.rpm

I did the suggested changes. Ready for another review. :)

Comment 5 Shahms E. King 2005-10-13 19:27:02 UTC
* rpmlint output
W: python-formencode invalid-license PSF

The PSF (Python Software Foundation) license is OSI approved, so this warning
can be ignored.

* spec file and package name are correct
* spec file is readable, license is correct and acceptable
* it compiles on x86
* source file and URL MD5 match
* owns directories
* no duplicate entry warnings
* %clean is good
* builds in mock and works

The package doesn't include the license in a separate file, which is nice but
not required.

APPROVED

Comment 6 Christian Iseli 2007-01-02 23:56:15 UTC
Changed summary for tracking purposes.



Note You need to log in before you can comment on or make changes to this bug.